Kaiten
Licenses

Get all entitlements for a license

Retrieve a list of all entitlements for a license by its unique slug

GET
/licenses/{licenseSlug}/entitlements

Path Parameters

licenseSlug*string

License slug

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://demo.kaiten.sh/licenses/license-slug/entitlements"
[
  {
    "createdAt": "2023-10-01T12:00:00Z",
    "createdBy": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe"
    },
    "entitlementName": "Premium Support",
    "entitlementSlug": "premium-support",
    "entitlementType": "NUMBER",
    "licenseID": "a1b2c3d4-e5f6-7g8h-9i0j-k1l2m3n4o5p6",
    "licenseSlug": "enterprise-license",
    "updatedAt": "2023-10-02T12:00:00Z",
    "updatedBy": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe"
    },
    "value": {
      "event_count": 2,
      "type": "number",
      "value": 42.5
    }
  }
]
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}